### Method

# Peas Engine get_plugin_list

#### Declaration [src]

    const GList*
    peas_engine_get_plugin_list (
      PeasEngine* engine
    )

#### Description [src]

Returns the list of `PeasPluginInfo` known to the engine.

Gets property | `Peas.Engine:plugin-list`

#### Return value

Type: A list of `PeasPluginInfo*`

A `GList` of `PeasPluginInfo`. Note that the list belongs to the engine and should not be freed.

The returned data is owned by the instance.